
<div class="container">
<div class="table">
   <app-user-table [dataSource]="dataSource"
                   [userRole]="userRole"
                   (onEditUser)="onEditUser($event)"
                   (onDeleteUser)="onDeleteUser($event)"  ></app-user-table>    
</div>
<div *ngIf="userRole=='admin'" class="addbutton">
  <button class="add" mat-button (click)="adduser()" color = "primary">اضافة زبون</button>
</div>

</div>
 

